Loading...
Searching...
No Matches
coap_asn1_internal.h File Reference

CoAP ASN.1 internal information. More...

`#include "coap_internal.h"`
Include dependency graph for coap_asn1_internal.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef int(* | asn1_validate) (const uint8_t *data, size_t size)
| Callback to validate the asn1 tag and data.

## Enumerations

enum | coap_asn1_tag_t { COAP_ASN1_NONE = 0 , COAP_ASN1_INTEGER = 2 , COAP_ASN1_BITSTRING = 3 , COAP_ASN1_OCTETSTRING = 4 , COAP_ASN1_IDENTIFIER = 6 }

## Functions

size_t | asn1_len (const uint8_t **ptr)
| Get the asn1 length from the current `ptr`.
coap_asn1_tag_t | asn1_tag_c (const uint8_t **ptr, int *constructed, int *cls)
| Get the asn1 tag from the current `ptr`.
coap_binary_t * | get_asn1_tag (coap_asn1_tag_t ltag, const uint8_t *ptr, size_t tlen, asn1_validate validate)
| Get the asn1 tag and data from the current `ptr`.
coap_binary_t * | get_asn1_spki (const uint8_t *data, size_t size)
| Abstract SPKI public key from the ASN1.

## Detailed Description

CoAP ASN.1 internal information.

Definition in file coap_asn1_internal.h.